

#include "BUILTIN.h"
extern TUP3 _ATriple_10(OBJ);extern OBJ __ATriple_10;

#include "Nat.h"
extern OBJ _AComCompose_5(OBJ,OBJ);extern OBJ __AComCompose_5;
extern OBJ _AComTripleCompose_5(OBJ,OBJ);OBJ __AComTripleCompose_5; /* & */
extern OBJ _AComTripleCompose_6(OBJ,OBJ);OBJ __AComTripleCompose_6; /* &'6 */

extern OBJ _AComTripleCompose_5(OBJ x1,OBJ x2) /* & */
{OBJ r;
 CPCLS(__AComTripleCompose_6,1);
 {OBJ x3;
  x3=(*(OBJ(*)(OBJ,OBJ))METHOD(__AComTripleCompose_6,1))(__AComTripleCompose_6,x2);
  r=_AComCompose_5(x1,x3);}
 return r;}

extern OBJ _AComTripleCompose_6(OBJ x1,OBJ x2) /* &'6 */
{OBJ r;
 {TUP3 x4;
  x4=_ATriple_10(x2);
  r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))METHOD(x1,3))(x1,x4.c1,x4.c2,x4.c3);}
 return r;}

init_AComTripleCompose()
{
 static int visited=0; if(visited) return; visited=1;
 init_ATriple();
 init_ACom();
 init_ANat();
 init_AVoid();
 init_ASeq();
 init_AOption();
 init_AComCompose();
 init_ASeqMap();
 CLS(2,_AComTripleCompose_6,__AComTripleCompose_6);
 CLS(2,_AComTripleCompose_5,__AComTripleCompose_5);}

